Arch Frame

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Frame and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Page précédente: Arch Nest.svg Économiseur
Page suivante: Clôture Arch Fence.svg Arrow-right.svg

Arch Frame.svg Arch Frame

Emplacement du menu
Arch → Mur
Ateliers
Atelier Architecture
Raccourci par défaut
F R
Introduit dans la version
-
Voir aussi
Mur,Structure


Description

L'outil Frame sert à construire toutes sortes d'objets basés sur un profil et une mise en page. Le profil est extrudé sur les bords de la mise en page, qui peut être n'importe quel objet 2D comme une esquisse ou un objet draft. Il est particulièrement utile pour créer des rampes ou des murs. les objets Frame peuvent alors facilement être transformés en murs ou en objets structurels.

Arch Frame example.jpg

Ici l'objet est une ligne sur laquelle a été appliqué une matrice en utilisant un profil d'un cercle

.

Utilisation

  1. Créer une mise en page d'un objet et le profil d'un objet, par exemple avec l' atelier Draft ou l'atelier Sketcher
  2. Sélectionnez le premier objet à mettre en page, puis, maintenez la touche Ctrl enfoncée, et sélectionnez l'objet à profiler
  3. Cliquez sur le bouton Arch Frame.png Arch Frame ou appuyez sur le bouton Arch Frame.svg Arch Frame et sur la touche R.

Options

  • Les frames (cadres) partagent les propriétés et comportements communs de tous les objets Arch Composants
  • L'objet frame peut être placé à une certaine distance de l'objet mis en page, en définissant sa propriété Offset
  • Le profil sera copié à la base de chaque côté de l'objet mis en page, puis extrudé sur lui. Vous pouvez contrôler la façon dont le profil est placé à la base de chaque arête avec les propriétés Align et Rotation.

Propriétés

  • DONNÉESBase: La mise en page de base sur on.
  • DONNÉESProfile: Le profil de cette image base sur on.
  • DONNÉESAlign: Spécifie que la rotation du profil soit aligné sur axe normal de chaque bord.
  • DONNÉESOffset: Une option de distance entre l'objet de mise page et l'objet frame.
  • DONNÉESRotation: La rotation du profil autour de l'axe d'extrusion.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Frame peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Frame = makeFrame(baseobj, profile)
  • Crée un objet Frame d'un baseobj et profile donnés.
    • baseobj est un objet contenant des fils comme fil ou une matrice.
    • profile est un objet 2D extrudable contenant des faces et des fils fermés.

Exemple:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Nest.svg Économiseur
Page suivante: Clôture Arch Fence.svg Arrow-right.svg